# Get account details

Retrieve the details of one specific account.

Endpoint: GET /accounts/balance/{accountNumber}
Version: v1
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `accountNumber` (string, required)
    The account number

## Header parameters:

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.

## Response 200:

  - `200` (unknown)
    OK response

## Response 200 fields (application/json):

  - `entity` (string)
    Your unique 6-digit ID given to you during the onboarding process.
    Example: 111155

  - `accounts` (array)
    Collection of account details.

  - `accounts.accountNumber` (string)
    The account number.
    Example: 1111557890987654

  - `accounts.accountName` (string)
    The name of the account. (This is given to you during onboarding and typically consists of your merchant name followed by the currency code.)
    Example: Etsy GBP

  - `accounts.currency` (string)
    The [ISO 4217 currency codes](/products/reference/supported-countries-currencies#iso-currency-codes) of the account.
    Example: GBP

  - `accounts.clearedBalance` (number)
    The cleared balance.
    Example: 142.5

  - `accounts.unclearedBalance` (number)
    The uncleared balance.
    Example: 100.8

  - `accounts.balance` (number)
    The total balance.
    Example: 243.5

  - `accounts.accountStatus` (string)
    The status of the account.
    Example: ACTIVE

## Response 400:

  - `400` (unknown)
    BAD REQUEST response if the request is incorrectly validated

## Response 400 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status.

  - `customCode` (string)
    The unique response code for this endpoint.

  - `message` (string)
    The error message.

  - `errors` (object)
    Collection of error details.

## Response 401:

  - `401` (unknown)
    UNAUTHORIZED response if JWT is not valid

## Response 401 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status.

  - `customCode` (string)
    The unique response code for this endpoint.

  - `message` (string)
    The error message.

  - `errors` (object)
    Collection of error details.

## Response 403:

  - `403` (unknown)
    FORBIDDEN response if you are not authorized to access

## Response 403 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status.

  - `customCode` (string)
    The unique response code for this endpoint.

  - `message` (string)
    The error message.

  - `errors` (object)
    Collection of error details.

## Response 404:

  - `404` (unknown)
    NOT FOUND response if the AccountNumber or Page was not found

## Response 404 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status

  - `customCode` (string)
    The unique response code for this endpoint.

  - `message` (string)
    The error message.

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP status

  - `customCode` (string)
    The unique response code for this endpoint.

  - `message` (string)
    The error message.

## Response 400 examples:

  - `Bad request` (unknown)

## Response 401 examples:

  - `UNAUTHORIZED` (unknown)

## Response 403 examples:

  - `FORBIDDEN` (unknown)

## Response 404 examples:

  - `NOT FOUND` (unknown)

## Response 500 examples:

  - `Internal server error` (unknown)

